=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_LIBEXECDIR := "\$$(prefix)/lib/NetworkManager"

DEB_CONFIGURE_EXTRA_FLAGS := --disable-static

DEB_DH_MAKESHLIBS_ARGS_ALL := -X/usr/lib/NetworkManager/

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
