=== debian/watch ===
version=3

http://download.gnome.org/sources/NetworkManager-vpnc/([\d\.]+)/NetworkManager-vpnc-(.*)\.tar\.gz
