## network-manager-vpnc 0.8.1+git.20110207t151002.6a2b2d6

=== debian/changelog ===
network-manager-vpnc (0.8.1+git.20110207t151002.6a2b2d6-0ubuntu2) natty; urgency=low

  * debian/patches/translate-gtkbuilder-ui-977d47b.patch: ensure the gtkbuilder
    ui file properly gets picked up for translatable strings.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Mar 2011 16:21:47 -0400

network-manager-vpnc (0.8.1+git.20110207t151002.6a2b2d6-0ubuntu1) natty; urgency=low

  * upstream snapshot 2011-02-07 15:10:02 (GMT)
    + 6a2b2d68554e6692dd54d3f37021bf5233cc2f05
    - ui: migrate to GtkBuilder (bgo #641274)
    - core: use 'Local Port 0' option to use random IKE source port
      (LP: #513166)
    - import/export: fix DHGroup pcf parameter 1,2,5 <---> dh1,dh2,dh5
    - ui: add IKE DH Group combo to GUI (bgo #638217)
  * Switch source format to 3.0 and patch system to quilt.
    - update debian/rules
    - add debian/source/format
  * Add series file with initial nm-vpnc-service.name.patch.
    - add debian/patches/series
  * nm-vpnc-dialog.glade was renamed upstream to nm-vpnc-dialog.ui.
    - update debian/network-manager-vpnc-gnome.install

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Feb 2011 11:34:10 -0500

network-manager-vpnc (0.8.1+git.20100810t170733.9081821-0ubuntu1) maverick; urgency=low

  * upstream snapshot 2010-08-10 17:07:33 (GMT)
    + 9081821af00c48227a397fe09bf746d6b5178564
  * bump network-manager-dev, libnm-glib-dev, libnm-util-dev Build-Depends
    to >= 0.8.1
    - update debian/control

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Aug 2010 12:04:02 -0400

network-manager-vpnc (0.8-0ubuntu3) lucid; urgency=low

  * Recommends network-manager-vpnc-kde instead of network-manager-kde
    - Closes LP: #562979

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 14 Apr 2010 14:30:01 +0200

network-manager-vpnc (0.8-0ubuntu2) lucid; urgency=low

  * Add Recommends for network-manager-vpnc-gnome or network-manager-kde to
    network-manager-vpnc, so that some GUI parts get installed. (LP: #534343)
    - update debian/control
  * Have network-manager-vpnc-gnome depend on network-manager-vpnc, otherwise
    it would be useless (no backend for the GUI) (LP: #534218)
    - update debian/control

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Fri, 09 Apr 2010 11:10:04 -0400

network-manager-vpnc (0.8-0ubuntu1) lucid; urgency=low

  * upstream 0.8 release
    - import/export: handle NAT Traversal modes better
    - ui: default to NAT-T instead of Cisco-UDP
    - build: disable .desktop file for now
  * bump build-depends to >= 0.8 to build with 0.8 final.
    - update debian/control
  * don't try to install nm-vpnc.desktop, it's not being built
    - update debian/network-manager-vpnc.install

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Fri, 19 Feb 2010 08:50:54 -0500

network-manager-vpnc (0.8~rc1-0ubuntu2) lucid; urgency=low

  * Split out GNOME UI parts into separate package, save space for
    Kubuntu, Closes LP: #158856

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Feb 2010 20:17:57 +0000

network-manager-vpnc (0.8~rc1-0ubuntu1) lucid; urgency=low

  * upstream release tagged 0.7.997 (NM 0.8~rc1)
    + 0.7.997
    - core: add some debug options
    - trivial: make .desktop file pass validation (rh #489475)
  * Add logic to map ~rc1 to 0.7.997 tag, as per the main NM branch.
  * Bump build-deps to require NM 0.8~rc1.

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Tue, 22 Dec 2009 13:41:00 -0500

network-manager-vpnc (0.8~a~git.20091008t124012.f5b95a2-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-10-08 12:40:12 (GMT)
    + f5b95a2cddbe87b6f9d85692620ca6c32a63332a

 -- Alexander Sack <asac@ubuntu.com>  Thu, 15 Oct 2009 00:37:03 +0200

network-manager-vpnc (0.8~a~git.20090928t155845.44e0005-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-09-28 15:58:45 (GMT)
    + 44e0005c508ac4d1c8d491eee28755e1b5f19ca5
    - fix LP: #440978 - network-manager-vpnc doesnt recognise IPv4 Options
  * rebuild vpn packages after landing of ABI padding in NM
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 06 Oct 2009 01:13:38 +0200

network-manager-vpnc (0.8~a~git.20090828t214328.099ab52-0ubuntu2) karmic; urgency=low

  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400

 -- Alexander Sack <asac@ubuntu.com>  Thu, 24 Sep 2009 17:08:53 +0200

network-manager-vpnc (0.8~a~git.20090828t214328.099ab52-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-08-28 21:43:28 (GMT)
    + 099ab52c9b6d9c759b7592b3e8eb71eed859df71
  * switch bzr branch approach from debian-only to empty branch with just debian/
    directory; add debian/ dir to bzr and move all files there
  * prepare for fta daily bot: reuse get-orig-source and get-current-source code
    used by other network-manager packages
    - update debian/rules
  * enable automatic autotools creation feature of; define appropriate
    DEB_AUTO_UPDATE_* variables
    - update debian/rules
  * bump requirement for network-manager-dev and libnm-glib-dev because of
    upstream soname transition and add libnm-util-dev build-depend
    - update debian/control
  * Bump Standards-Version to 3.8.3
    - update debian/control
  * make GET_SOURCE not go mad for git versions that use a different abbrev-id syntax
    - update debian/rules
  * fix noisy output: use grep -q -c rather than just -c in GET_SOURCE etc.
    - update debian/rules
  * add rule for get-snapshot-info
    - update debian/rules
  * fix error in GIT_BRANCH_NAME
    - update debian/rules

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Sun, 10 Sep 2009 12:05:32 -0400

network-manager-vpnc (0.7.1-0ubuntu2) karmic; urgency=low

  * debian/rules:
    - Update DEB_DESTDIR to $(CURDIR)/debian/network-manager-vpnc instead of
      $(CURDIR)/debian/tmp/ so that the files we build actually get installed.
    - Fixes LP: #395541
  * debian/control:
    - Add missing dependency on ${misc:Depends} for network-manager-vpnc.
    - Bump standards version to 3.8.2.


