=== debian/control ===
Source: network-manager-vpnc
Section: net
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: cdbs,
	debhelper (>= 5),
	network-manager-dev (>= 0.8.1),
	libnm-util-dev (>= 0.8.1),
	libnm-glib-dev (>= 0.8.1),
	automake1.9,
	gnome-common,
	intltool,
	libgnomeui-dev,
	libdbus-glib-1-dev,
	patchutils,
	libglade2-dev
Standards-Version: 3.8.3
Vcs-Bzr: http://code.launchpad.net/~network-manager/network-manager/vpnc-ubuntu.0.7.1

Package: network-manager-vpnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc
Recommends: network-manager-vpnc-gnome | network-manager-vpnc-kde
Description: network management framework (VPNC plugin)
 NetworkManager attempts to keep an active network connection available at
 all times.  It is intended primarily for laptops where it allows easy
 switching betwen local wireless networks, it's also useful on desktops
 with a selection of different interfaces to use.  It is not intended for
 usage on servers.
 .
 This package provides a VPN plugin for vpnc, providing easy access Cisco
 Concentrator based VPN's.

Package: network-manager-vpnc-gnome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc, network-manager-vpnc
Replaces: network-manager-vpnc (<< 0.8~rc1-0ubuntu2)
Description: network management framework (VPNC plugin, GNOME UI)
 NetworkManager attempts to keep an active network connection available at
 all times.  It is intended primarily for laptops where it allows easy
 switching betwen local wireless networks, it's also useful on desktops
 with a selection of different interfaces to use.  It is not intended for
 usage on servers.
 .
 This package provides the GNOME UI for the VPN plugin for vpnc.
