## network-manager-vpnc 0.8.4

=== debian/changelog ===
network-manager-vpnc (0.8.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Jul 2011 17:05:14 +0200

network-manager-vpnc (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.8.4).
    - Update package descriptions.
    - Bump Standards-Version to 3.9.2. No further changes.
  * debian/watch
    - Switch to bzip2.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 17:31:16 +0200

network-manager-vpnc (0.8.3.995-1) unstable; urgency=low

  * New upstream release (0.8.4 beta1).
  * Bump debhelper compatibility level to 8.
  * debian/control
    - Drop Build-Depends on libglade2-dev, converted to GtkBuilder.
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to
      (>= 0.8.3.995).

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2011 11:02:34 +0100

network-manager-vpnc (0.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 01:38:28 +0100

network-manager-vpnc (0.8.2-2) experimental; urgency=low

  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Rename debian/docs to debian/network-manager-vpnc.docs so it is
      correctly picked up by dh_installdocs.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:51:30 +0100

network-manager-vpnc (0.8.2-1) experimental; urgency=low

  * New upstream release.
  * Update Vcs-* fields: Move packaging from svn to git.
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8.2).

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 12:18:29 +0100
