## network-manager-vpnc 0.9.0

=== debian/changelog ===
network-manager-vpnc (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - properties: simplify password and flags handling
    - core: look for NETMASKLEN before NETMASK for IPv4 prefix
    - core: use right prefix for point-to-point tunnels
    - ui: Mark 'Advanced...' as translatable
    - ui: fix gtk_builder_set_translation_domain() calling
  * debian/control:
    - bump Build-Depends for NM to >= 0.9.
    - Recommends plasma-widget-networkmanagement instead of n-m-vpnc-kde.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 09 Sep 2011 11:30:42 -0400

network-manager-vpnc (0.8.999+git.20110717t135336.904dc2f-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-07-17 13:53:36 (GMT)
    + 904dc2f07bd3cb21ee903cdea6ba880b5bf7231d
    - core: don't claim default route when explicit routes are passed
    - core/ui: add support for Hybrid authentication (LP: #300628)
  * debian/rules: re-add code to grab git snapshots.
  * debian/rules, debian/control: use dh-autoreconf.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 18 Jul 2011 16:18:21 -0400

network-manager-vpnc (0.8.999-1ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental; remaining changes:
    - debian/control:
      + change Replaces/Breaks for network-manager-vpnc-gnome.
      + Recommends: network-manager-vpnc-gnome | network-manager-vpnc-kde from
        network-manager-vpnc.
  * debian/control: Build-Depends on libgtk-3-dev with the correct version
    instead of libgtk2.0-dev.
  * debian/rules: drop --with-gtk=2 so we build against GTK3 like the rest of
    the NM stack.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 30 Jun 2011 06:09:42 -0400

network-manager-vpnc (0.8.999-1) experimental; urgency=low

  * New upstream release (0.9 rc2).

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 23:59:26 +0200

network-manager-vpnc (0.8.998-1) experimental; urgency=low

  * New upstream release (0.9 rc1).
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to
      (>= 0.8.998).
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.20).
  * debian/rules
    - Build against GTK+ version 2.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2011 01:42:30 +0200
