## network-manager-vpnc 0.9.4.0

=== debian/changelog ===
network-manager-vpnc (0.9.4.0-1) unstable; urgency=low

  * New upstream release.
  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
  * Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.4).
  * Drop Build-Depends on libgconf2-dev.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Mar 2012 23:58:01 +0100
