## network-manager-vpnc 0.9.6.0

=== debian/changelog ===
network-manager-vpnc (0.9.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release 0.9.6.0.
  * debian/control: bump Build-Depends for network-manager libs.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Aug 2012 16:48:12 -0400

network-manager-vpnc (0.9.6~git201207121441.383f3dc-0ubuntu2) quantal; urgency=low

  * debian/patches/auth-dialog-libexecdir.patch: set libexecdir for the auth
    dialog; so that the dialog can be properly started by GNOME Shell.
    (LP: #985788)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Jul 2012 11:15:20 -0400

network-manager-vpnc (0.9.6~git201207121441.383f3dc-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-07-12 14:41:38 (GMT)
    + 383f3dc1d85c3b0cdab0e26bed92f2095743c751
    - ui: add "Version" GUI entry for vpnc 'Application version' option
      (LP: #1000006)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 19 Jul 2012 14:32:46 -0400

network-manager-vpnc (0.9.4.0-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #973775)
  * debian/control:
    - update Vcs-Bzr field.
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.4).
    - Drop Build-Depends on libgconf2-dev.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright: update to use the machine-readable copyright format 1.0.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 09 Apr 2012 12:51:08 -0400

network-manager-vpnc (0.9.2.0+git201201080319.236292c-0ubuntu1) precise; urgency=low

  * upstream snapshot 2012-01-08 03:19:29 (GMT)
    + 236292ca4f85ae00ef5591a96ba00ab78859c5f2
  * debian/rules: drop characters from version string to shorten it for git
    snapshots.
  * debian/patches/gtk_table_to_gtk_grid.patch: port the uses of GtkTable to a
    GtkGrid, since GtkTable is now deprecated and otherwise fails the build.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 10 Feb 2012 15:34:13 -0500
