## network-manager-vpnc 0.9.8.2

=== debian/changelog ===
network-manager-vpnc (0.9.8.2-1ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining changes: 
    - debian/control:
      + Have network-manager-vpnc recommend network-manager-vpnc-gnome | 
        plasma-widget-networkmanagement
    - debian/patches/gtk_table_to_gtk_grid.patch: port the uses of GtkTable to
      a GtkGrid, since GtkTable is now deprecated
  * Dropped changes:
    - debian/rules:
      + re-add code to grab git snapshots
    - debian/patches/auth-dialog-libexecdir.patch: Applied in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Jun 2013 23:08:41 -0400

network-manager-vpnc (0.9.8.2-1) unstable; urgency=low

  * New upstream release.
  * Bump network-manager Build-Depends to (>= 0.9.8).
  * Fix path to connection-editor plugin in service file. Patch cherry-picked
    from upstream Git.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jun 2013 00:36:36 +0200

network-manager-vpnc (0.9.8.0-2) unstable; urgency=low

  * Mark binary packages as linux-any.
  * Upload to unstable.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 May 2013 18:19:09 +0200

network-manager-vpnc (0.9.8.0-1) experimental; urgency=low

  * New upstream release.
    - Provides configuration option and UI for local port. (Closes: #658269)
  * Drop obsolete Breaks/Replaces.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Feb 2013 15:18:40 +0100

network-manager-vpnc (0.9.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.6).
  * Use --list-missing to show uninstalled files.

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Oct 2012 00:20:41 +0200
