=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
  debhelper (>= 8),
+ dpkg-dev (>= 1.16.1),
  dh-autoreconf,
- network-manager-dev (>= 0.9.6),
- libnm-util-dev (>= 0.9.6),
- libnm-glib-dev (>= 0.9.6),
- libnm-glib-vpn-dev (>= 0.9.6),
+ network-manager-dev (>= 0.9.8),
+ libnm-util-dev (>= 0.9.8),
+ libnm-glib-dev (>= 0.9.8),
+ libnm-glib-vpn-dev (>= 0.9.8),
  intltool,
  libdbus-glib-1-dev (>= 0.74),
  libgnome-keyring-dev,
- libgtk-3-dev (>= 3.0.0),
+ libgtk-3-dev (>= 3.0),
  libglib2.0-dev
-Standards-Version: 3.9.3
-Vcs-Bzr: http://code.launchpad.net/~network-manager/network-manager-vpnc/ubuntu
+Standards-Version: 3.9.4
 Homepage: http://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-vpnc
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc
 Recommends: network-manager-vpnc-gnome | plasma-widget-networkmanagement
 Description: network management framework (VPNC plugin core)
@@ -35,10 +35,8 @@
  Concentrator based VPN's.
 
 Package: network-manager-vpnc-gnome
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-vpnc (= ${binary:Version})
-Replaces: network-manager-vpnc (<< 0.8~rc1-0ubuntu2)
-Breaks: network-manager-vpnc (<< 0.8~rc1-0ubuntu2)
 Description: network management framework (VPNC plugin GNOME GUI)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
